/*
 * Copyright 2008 Kyoto University and Honda Motor Co.,Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 */


/*
 * AngleAndProbability.hpp
 *
 *  Created on: 2011/01/14
 *      Author: HARK Development Team
 */

#ifndef ANGLEANDPROBABILITY_HPP_
#define ANGLEANDPROBABILITY_HPP_

#include <DimensionPromise/types/Angle.hpp>
#include <Probability.hpp>

namespace NSHarkBinaural
{

/**
 * 角度と確率の組を表す.
 */
struct AngleAndProbability
{
    /// 角度
    NSDimensionPromise::Angle angle;

    /// 確率
    Probability probability;

    AngleAndProbability()
        : angle(), probability(0)
    { }

    AngleAndProbability(NSDimensionPromise::Angle angle, Probability probability)
        : angle(angle), probability(probability)
    { }
};

}

#endif /* ANGLEANDPROBABILITY_HPP_ */
