/*
 * Copyright 2008 Kyoto University and Honda Motor Co.,Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 */


/*
 * BandAndHarmonicRatio.hpp
 *
 *  Created on: 2010/12/20
 *      Author: HARK Development Team
 */

#ifndef BANDANDHARMONICRATIO_HPP_
#define BANDANDHARMONICRATIO_HPP_

#include <Band.hpp>

namespace NSHarkBinaural
{

/**
 * 調波構造の倍音の周波数バンドと、基音に対する倍率の組を表す.
 * 例えばN倍音の場合、ratioはNとなる。
 */
struct BandAndHarmonicRatio
{
    /// 周波数バンド.
    Band band;
    /// 基音に対する倍率.
    int ratio;

    BandAndHarmonicRatio()
        : band(), ratio(0)
    { }

    BandAndHarmonicRatio(Band band, int ratio)
        : band(band), ratio(ratio)
    { }
};

}

#endif /* BANDANDHARMONICRATIO_HPP_ */
